Package org.eclipse.jface.util

# Class PropertyChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.jface.util.PropertyChangeEvent

All Implemented Interfaces:
  `Serializable`

public class PropertyChangeEvent extends EventObject
An event object describing a change to a named property.

This concrete class was designed to be instantiated, but may also be subclassed if required.

The JFace frameworks contain classes that report property change events for internal state changes that may be of interest to external parties. A special listener interface (`IPropertyChangeListener`) is defined for this purpose, and a typical class allow listeners to be registered via an `addPropertyChangeListener` method.

See Also:
  - `IPropertyChangeListener`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PropertyChangeEvent(Object source, String property, Object oldValue, Object newValue)`
Creates a new property change event.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNewValue()`
Returns the new value of the property.
`Object`
`getOldValue()`
Returns the old value of the property.
`String`
`getProperty()`
Returns the name of the property that changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyChangeEvent

public PropertyChangeEvent(Object source, String property, Object oldValue, Object newValue)
Creates a new property change event.

Parameters:
  `source` - the object whose property has changed
  `property` - the property that has changed (must not be `null`)
  `oldValue` - the old value of the property, or `null` if none
  `newValue` - the new value of the property, or `null` if none

## Method Details

### getNewValue

public Object getNewValue()
Returns the new value of the property.

Returns:
  the new value, or `null` if not known or not relevant (for instance if the property was removed).

### getOldValue

public Object getOldValue()
Returns the old value of the property.

Returns:
  the old value, or `null` if not known or not relevant (for instance if the property was just added and there was no old value).

### getProperty

public String getProperty()
Returns the name of the property that changed.

Warning: there is no guarantee that the property name returned is a constant string. Callers must compare property names using equals, not ==.

Returns:
  the name of the property that changed